org.apache.hadoop.yarn.webapp

## Class ResponseInfo.Item

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.ResponseInfo.Item

- Enclosing class:
    ResponseInfo

      public static class ResponseInfo.Item
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isRaw`
    `String` | `key`
    `String` | `url`
    `Object` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseInfo.Item` | `of(String key, Object value, boolean isRaw)`
    `static ResponseInfo.Item` | `of(String key, String url, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public final String key

    - #### url

          public final String url

    - #### value

          public final Object value

    - #### isRaw

          public final boolean isRaw

  - ### Method Detail

    - #### of

          public static ResponseInfo.Item of(String key,
                                             Object value,
                                             boolean isRaw)

    - #### of

          public static ResponseInfo.Item of(String key,
                                             String url,
                                             Object value)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.